BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS "TBL_SVC" (
  "usLcn" integer NOT NULL,
  "szSvcName" text default NULL,
  "usSvcId" integer NOT NULL,
  "hSvc" integer NOT NULL,
  "aucDefaultAuthority" text default NULL,
  "Hidden" integer NOT NULL,
  "Freesat" integer NOT NULL,
  "Magic" integer NOT NULL,
  "IndexEntry" integer NOT NULL,
  "Offset" integer NOT NULL,
  "Type" text default 'Unknown');

CREATE TABLE IF NOT EXISTS "Favourites" ("ServiceID" integer NOT NULL, "FavGroup" TEXT not null);

CREATE TABLE IF NOT EXISTS "FavGroups" ("GroupName" TEXT NOT NULL);

CREATE TABLE IF NOT EXISTS "TBL_SVC_DEFAULT" (
  "usLcn" integer NOT NULL,
  "szSvcName" text default NULL,
  "usSvcId" integer NOT NULL,
  "hSvc" integer NOT NULL,
  "aucDefaultAuthority" text default NULL,
  "Hidden" integer NOT NULL,
  "Freesat" integer NOT NULL,
  "Magic" integer NOT NULL,
  "IndexEntry" integer NOT NULL,
  "Offset" integer NOT NULL,
  "Type" text default 'Unknown');

CREATE TABLE IF NOT EXISTS "Updates" (
 "ChannelNo" integer NOT NULL,
 "ServiceID" integer NOT NULL, 
 "NewName" default NULL,
 "Freesat" default NULL,
 "Hidden" default NULL);
 
CREATE INDEX IF NOT EXISTS SvcID on tbl_svc (usSvcID);
CREATE INDEX IF NOT EXISTS Chan on tbl_svc (usLcn);
CREATE INDEX IF NOT EXISTS Chan on tbl_svc_default (usLcn);
 
COMMIT;
